Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.callback
Class TextInputCallback

    java.lang.Object
      javax.security.auth.callback.TextInputCallback

All Implemented Interfaces:
  java.io.Serializable, Callback

    public class TextInputCallback

extends java.lang.Object
implements Callback, java.io.Serializable

Underlying security services instantiate and pass a `TextInputCallback` to the `handle` method of a `CallbackHandler` to retrieve generic text information.

Version:
  1.14, 12/19/03
See Also:
  `CallbackHandler`, Serialized Form

Constructor Summary
`TextInputCallback(java.lang.String prompt)` Construct a `TextInputCallback` with a prompt.
`TextInputCallback(java.lang.String prompt, java.lang.String defaultText)` Construct a `TextInputCallback` with a prompt and default input value.

Method Summary
`java.lang.String` | `getDefaultText()` Get the default text.
`java.lang.String` | `getPrompt()` Get the prompt.
`java.lang.String` | `getText()` Get the retrieved text.
`void` | `setText(java.lang.String text)` Set the retrieved text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextInputCallback

    public TextInputCallback(java.lang.String prompt)

  Construct a `TextInputCallback` with a prompt.

  Parameters:
    `prompt` - the prompt used to request the information.
  Throws:
    `java.lang.IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

### TextInputCallback

    public TextInputCallback(java.lang.String prompt,
                             java.lang.String defaultText)

  Construct a `TextInputCallback` with a prompt and default input value.

  Parameters:
    `prompt` - the prompt used to request the information.

    `defaultText` - the text to be used as the default text displayed with the prompt.
  Throws:
    `java.lang.IllegalArgumentException` - if `prompt` is null, if `prompt` has a length of 0, if `defaultText` is null or if `defaultText` has a length of 0.

Method Detail

### getPrompt

    public java.lang.String getPrompt()

  Get the prompt.

  Returns:
    the prompt.

### getDefaultText

    public java.lang.String getDefaultText()

  Get the default text.

  Returns:
    the default text, or null if this `TextInputCallback` was not instantiated with `defaultText`.

### setText

    public void setText(java.lang.String text)

  Set the retrieved text.

  Parameters:
    `text` - the retrieved text, which may be null.
  See Also:
    `getText()`

### getText

    public java.lang.String getText()

  Get the retrieved text.

  Returns:
    the retrieved text, which may be null.
  See Also:
    `setText(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD